List Mobile Money Providers
curl --request GET \
--url https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"code": "MTN_CI",
"name": "MTN Cote d'Ivoire"
},
{
"code": "ORANGE_CI",
"name": "Orange Money CI"
}
]{
"code": "COUNTRY_CODE_REQUIRED",
"message": "countryCode is required because 'XOF' is supported in more than one country"
}{
"code": "INVALID_CURRENCY",
"message": "Invalid source currency. Supported: NGN, GHS",
"details": {}
}Exchange
Get Mobile Money Providers
Returns the mobile money providers available for a given currency and country.
GET
/
partners
/
marketplace
/
mobile-money
/
providers
List Mobile Money Providers
curl --request GET \
--url https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperrails.io/api/v1/partners/marketplace/mobile-money/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"code": "MTN_CI",
"name": "MTN Cote d'Ivoire"
},
{
"code": "ORANGE_CI",
"name": "Orange Money CI"
}
]{
"code": "COUNTRY_CODE_REQUIRED",
"message": "countryCode is required because 'XOF' is supported in more than one country"
}{
"code": "INVALID_CURRENCY",
"message": "Invalid source currency. Supported: NGN, GHS",
"details": {}
}Authorizations
API key authentication using Bearer token
Query Parameters
ISO currency code to filter providers by.
Example:
"XOF"
ISO country code. Required when the given currency is supported in more than one country.
Example:
"CI"
Was this page helpful?